## binutils-mingw-w64 8.3

=== debian/changelog ===
binutils-mingw-w64 (8.3) unstable; urgency=medium

  * Move to the team repository on Salsa.
  * Make DLL import libraries reproducible. Closes: #915055; thanks to
    Benjamin Moody for the patch.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.2.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 15 Dec 2018 09:25:07 +0100
