## binutils-mingw-w64 8.3ubuntu2

=== debian/changelog ===
binutils-mingw-w64 (8.3ubuntu2) disco; urgency=medium

  * No-change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 09 Apr 2019 01:27:16 +0200

binutils-mingw-w64 (8.3ubuntu1) disco; urgency=medium

  * Build using binutils 2.32.
  * Update the specify-timestamp patch.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Mar 2019 10:52:38 +0100
