## binutils-mingw-w64 8.3ubuntu3

=== debian/changelog ===
binutils-mingw-w64 (8.3ubuntu3) eoan; urgency=medium

  * Build using binutils 2.33.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Oct 2019 12:13:00 +0200
