## binutils-mingw-w64 8.4

=== debian/changelog ===
binutils-mingw-w64 (8.4) unstable; urgency=medium

  * Avoid assuming the version number structure inside the source
    tarball. This allows the build to handle binutils 2.32.51.20190707-1.

 -- Stephen Kitt <skitt@debian.org>  Tue, 09 Jul 2019 13:32:34 +0200

binutils-mingw-w64 (8.4~exp1) experimental; urgency=medium

  * Build with binutils 2.32. Closes: #925641.
  * Standards-Version 4.3.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 25 May 2019 12:15:50 +0200
