=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,7 @@
 unpack-stamp:
 	tar xf $(binutils_dir)/binutils-$(gnu_upstream_version).tar.*
 	rm -rf $(upstream_dir)
-	mv binutils-$(deb_upstream_version) $(upstream_dir)
+	mv binutils-* $(upstream_dir)
 	# Revert the ldscripts location patch so we avoid conflicting with binutils
 	patch -d $(upstream_dir) -R -p1 < /usr/src/binutils/patches/001_ld_makefile_patch.patch
 	# Apply our patches
