## binutils-mingw-w64 8.6

=== debian/changelog ===
binutils-mingw-w64 (8.6) unstable; urgency=medium

  * Fix FTCBFS: fix build/host confusion. Closes: #943377. Thanks to
    Helmut Grohne for the patch!

 -- Stephen Kitt <skitt@debian.org>  Thu, 24 Oct 2019 21:06:31 +0200

binutils-mingw-w64 (8.5) unstable; urgency=medium

  * Correctly disable silent rules.
  * List missing files.
  * Highlight obsolete spelling fixes.
  * Fix debian/rules comments.
  * Require binutils 2.33 to ensure we get the plugin handling fixes.
    Closes: #930978.
  * Standards-Version 4.4.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 10 Oct 2019 13:59:05 +0200
