=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: devel
 Priority: optional
 Build-Depends: debhelper (>= 11~),
-               binutils-source (>= 2.32~),
+               binutils-source (>= 2.33~),
                bison,
                flex,
                dejagnu,
@@ -11,7 +11,7 @@
                rdfind,
                symlinks,
                zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/mingw-w64-team/binutils-mingw-w64
 Vcs-Git: https://salsa.debian.org/mingw-w64-team/binutils-mingw-w64.git
 Homepage: https://www.gnu.org/software/binutils/
