## binutils-mingw-w64 8.8

=== debian/changelog ===
binutils-mingw-w64 (8.8) unstable; urgency=medium

  * binutils 2.34 doesn’t fully support enabling the relocation section
    by default, so disable it again, along with the rest of the PE
    protection mechanisms which don’t make sense without relocation (see
    https://www.kb.cert.org/vuls/id/307144/ for details).

 -- Stephen Kitt <skitt@debian.org>  Wed, 26 Feb 2020 17:50:17 +0100

binutils-mingw-w64 (8.7) unstable; urgency=medium

  * Build with binutils 2.34. Closes: #951892. The relocation section is
    now enabled by default.
  * Standards-Version 4.5.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 24 Feb 2020 18:12:04 +0100
