=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-# Copyright © 2010-2016 Stephen Kitt <skitt@debian.org>
+# Copyright © 2010-2019 Stephen Kitt <skitt@debian.org>
 #
 # This program is free software: you can redistribute it and/or
 # modify it under the terms of the GNU General Public License as
@@ -39,31 +39,31 @@
 %:
 	dh $@ --without autoreconf
 
-spelling = grep -rl "$(1)" $(upstream_dir) | xargs -r sed -i "s/$(1)/$(2)/g"
+spelling = grep -rl '$(1)' $(upstream_dir) | xargs sed -i 's/$(1)/$(2)/g' 2>/dev/null || echo '*** Misspelling "$(1)" not found. ***'
 
 unpack: unpack-stamp
 unpack-stamp:
 	tar xf $(binutils_dir)/binutils-$(gnu_upstream_version).tar.*
 	rm -rf $(upstream_dir)
 	mv binutils-* $(upstream_dir)
-	# Revert the ldscripts location patch so we avoid conflicting with binutils
+# Revert the ldscripts location patch so we avoid conflicting with binutils
 	patch -d $(upstream_dir) -R -p1 < /usr/src/binutils/patches/001_ld_makefile_patch.patch
-	# Apply our patches
+# Apply our patches
 	QUILT_SERIES=debian/patches/series QUILT_PATCHES=debian/patches quilt push -a
-	# On big-endian architectures, disable the windres tests (#754829)
+# On big-endian architectures, disable the windres tests (#754829)
 	if [ "$(DEB_HOST_ARCH_ENDIAN)" = "big" ]; then \
 		rm -f $(upstream_dir)/binutils/testsuite/binutils-all/windres/windres.exp; \
 	fi
-	# Spelling fixes
-	$(call spelling,allows to,allows one to)
-	$(call spelling,auxilary,auxiliary)
-	$(call spelling,complier,compiler)
-	$(call spelling,debuging,debugging)
-	$(call spelling,maching,matching)
-	$(call spelling,preceeded,preceded)
-	$(call spelling,refered,referred)
-	$(call spelling,supressed,suppressed)
-	$(call spelling,targetted,targeted)
+# Spelling fixes
+	@$(call spelling,allows to,allows one to)
+	@$(call spelling,auxilary,auxiliary)
+	@$(call spelling,complier,compiler)
+	@$(call spelling,debuging,debugging)
+	@$(call spelling,maching,matching)
+	@$(call spelling,preceeded,preceded)
+	@$(call spelling,refered,referred)
+	@$(call spelling,supressed,suppressed)
+	@$(call spelling,targetted,targeted)
 	touch $@
 
 override_dh_clean:
@@ -77,7 +77,7 @@
 override_dh_auto_configure:
 	set -e; \
 	for target in $(targets); do \
-		mkdir -p $(build_dir)/$$target && cd $(build_dir)/$$target && $(upstream_dir)/configure --build=$(DEB_HOST_GNU_TYPE) --prefix=/usr --disable-sile-rules --libdir=\${prefix}/lib/$(DEB_HOST_MULTIARCH) --libexecdir=\${prefix}/lib/$(DEB_HOST_MULTIARCH) --disable-maintainer-mode --disable-dependency-tracking --disable-multilib --enable-lto --enable-plugins --enable-deterministic-archives --with-system-zlib --target=$$target --disable-werror; \
+		mkdir -p $(build_dir)/$$target && cd $(build_dir)/$$target && $(upstream_dir)/configure --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) --prefix=/usr --disable-silent-rules --libdir=\${prefix}/lib/$(DEB_HOST_MULTIARCH) --libexecdir=\${prefix}/lib/$(DEB_HOST_MULTIARCH) --disable-maintainer-mode --disable-dependency-tracking --disable-multilib --enable-lto --enable-plugins --enable-deterministic-archives --with-system-zlib --target=$$target --disable-werror; \
 	done
 
 override_dh_auto_build-arch:
@@ -99,12 +99,12 @@
 		dh_auto_install -B$(build_dir)/$$target; \
 	done
 
-	# Drop files which will conflict with other packages
+# Drop files which will conflict with other packages
 	rm -rf debian/tmp/usr/lib/*.a
 	rm -rf debian/tmp/usr/share/info
 	rm -rf debian/tmp/usr/share/locale
 
-	# Copy the dllwrap manpages
+# Copy the dllwrap manpages
 	for target in $(targets); do \
 		cp debian/dllwrap.1 debian/$$target-dllwrap.1; \
 	done
@@ -125,3 +125,6 @@
 
 override_dh_gencontrol:
 	dh_gencontrol -- -v$(deb_version) -Vlocal:Version=$(deb_upstream_version) -Vbinutils:Version=$(source_version)
+
+override_dh_missing:
+	dh_missing --list-missing
