## binutils-mingw-w64 8.9

=== debian/changelog ===
binutils-mingw-w64 (8.9) unstable; urgency=medium

  * Restore the additional flags which were removed in 8.8 (this was a
    breaking change). The defaults aren’t changed, but --no-nxcompat etc.
    will still be recognised.

 -- Stephen Kitt <skitt@debian.org>  Wed, 15 Apr 2020 20:25:33 +0200
