## binutils-mingw-w64 8.11

=== debian/changelog ===
binutils-mingw-w64 (8.11) unstable; urgency=medium

  * Disable the PR/25662 test, it fails on big-endian platforms but the
    tested scenario is unlikely. Closes: #964742.
  * Lintian: rename “manpage-has-errors-from-man” to “groff-message”.
  * Replace debian/compat with a dependency on debhelper-compat.
  * Add more spelling fixes.

 -- Stephen Kitt <skitt@debian.org>  Tue, 08 Sep 2020 13:56:45 +0200

binutils-mingw-w64 (8.10) unstable; urgency=medium

  * Adjust to binutils 2.35 changes. Closes: #964620.

 -- Stephen Kitt <skitt@debian.org>  Thu, 09 Jul 2020 14:11:33 +0200
