=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 11~),
-               binutils-source (>= 2.34~),
+Build-Depends: debhelper-compat (= 11),
+               binutils-source (>= 2.34.90.20200706~),
                bison,
                flex,
                dejagnu,
