=== debian/rules ===
--- 
+++ 
@@ -59,9 +59,12 @@
 	@$(call spelling,auxilary,auxiliary)
 	@$(call spelling,complier,compiler)
 	@$(call spelling,debuging,debugging)
+	@$(call spelling,explict,explicit)
+	@$(call spelling,extention,extension)
 	@$(call spelling,maching,matching)
 	@$(call spelling,preceeded,preceded)
 	@$(call spelling,refered,referred)
+	@$(call spelling,specifed,specified)
 	@$(call spelling,supressed,suppressed)
 	@$(call spelling,targetted,targeted)
 	touch $@
