## binutils-mingw-w64 9build1

=== debian/changelog ===
binutils-mingw-w64 (9build1) jammy; urgency=medium

  * Build using binutils 2.38.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Mar 2022 06:38:14 +0100

binutils-mingw-w64 (9) unstable; urgency=medium

  [ Stephen Kitt ]
  * Adjust for binutils 2.36. Closes: #997661.
  * Drop obsolete patches.
  * Standards-Version 4.6.0, no change required.

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + binutils-mingw-w64-i686: Drop versioned constraint on binutils-mingw-w64
      in Replaces.
    + binutils-mingw-w64-i686: Drop versioned constraint on binutils-mingw-w64
      in Breaks.
    + binutils-mingw-w64-x86-64: Drop versioned constraint on binutils-mingw-w64
      in Replaces.
    + binutils-mingw-w64-x86-64: Drop versioned constraint on binutils-mingw-w64
      in Breaks.

  [ Konstantin Demin ]
  * Upgrade to debhelper compatibility level 13.
  * Include bfd-plugins in the package.

 -- Stephen Kitt <skitt@debian.org>  Wed, 27 Oct 2021 15:53:16 +0200
