=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: debhelper-compat (= 11),
-               binutils-source (>= 2.34.90.20200706~),
+Build-Depends: debhelper-compat (= 13),
+               binutils-source (>= 2.36~),
                bison,
                flex,
                dejagnu,
@@ -11,7 +11,7 @@
                rdfind,
                symlinks,
                zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/mingw-w64-team/binutils-mingw-w64
 Vcs-Git: https://salsa.debian.org/mingw-w64-team/binutils-mingw-w64.git
 Homepage: https://www.gnu.org/software/binutils/
@@ -35,8 +35,6 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          binutils-common (>= ${local:Version})
-Breaks: binutils-mingw-w64 (<< 2.22-1+1)
-Replaces: binutils-mingw-w64 (<< 2.22-1+1)
 Built-Using: binutils (= ${binutils:Version})
 Description: Cross-binutils for Win32 (x86) using MinGW-w64
  MinGW-w64 provides a development and runtime environment for 32- and
@@ -50,8 +48,6 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          binutils-common (>= ${local:Version})
-Breaks: binutils-mingw-w64 (<< 2.22-1+1)
-Replaces: binutils-mingw-w64 (<< 2.22-1+1)
 Built-Using: binutils (= ${binutils:Version})
 Description: Cross-binutils for Win64 (x64) using MinGW-w64
  MinGW-w64 provides a development and runtime environment for 32- and
