=== debian/rules ===
--- 
+++ 
@@ -20,14 +20,13 @@
 # Built-Using, which results in build failures
 export NO_PKG_MANGLE=1
 
-include /usr/share/dpkg/architecture.mk
-include /usr/share/dpkg/pkg-info.mk
+include /usr/share/dpkg/default.mk
 
 top_dir := $(shell pwd)
 binutils_dir := /usr/src/binutils
 upstream_dir := $(top_dir)/upstream
 build_dir := $(top_dir)/build
-source_version := $(shell dpkg-query -W -f="\$${Version}\n" binutils-source)
+source_version := $(shell dpkg-query -W -f="\$${Version}" binutils-source)
 deb_version := $(source_version)+$(DEB_VERSION)
 deb_upstream_version := $(shell echo $(deb_version) | cut -d- -f1)
 gnu_upstream_version := $(shell echo $(deb_upstream_version) | cut -d. -f1-3)
@@ -36,13 +35,35 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+PF := /usr
+confflags = \
+	--build=$(DEB_BUILD_GNU_TYPE) \
+	--host=$(DEB_HOST_GNU_TYPE) \
+	--target=$(1) \
+	--prefix=$(PF) \
+	--bindir=$(PF)/bin \
+	--libdir=$(PF)/$(1)/lib \
+	--libexecdir=$(PF)/$(1)/lib \
+	--disable-compressed-debug-sections \
+	--disable-dependency-tracking \
+	--disable-maintainer-mode \
+	--disable-multilib \
+	--disable-silent-rules \
+	--disable-werror \
+	--disable-x86-used-note \
+	--enable-deterministic-archives \
+	--enable-lto \
+	--enable-plugins \
+	--enable-threads \
+	--with-system-zlib
+
 %:
 	dh $@ --without autoreconf
 
 spelling = grep -rl '$(1)' $(upstream_dir) | xargs sed -i 's/$(1)/$(2)/g' 2>/dev/null || echo '*** Misspelling "$(1)" not found. ***'
 
-unpack: unpack-stamp
-unpack-stamp:
+.PHONY: unpack
+unpack:
 	tar xf $(binutils_dir)/binutils-$(gnu_upstream_version).tar.*
 	rm -rf $(upstream_dir)
 	mv binutils-* $(upstream_dir)
@@ -56,9 +77,7 @@
 	fi
 # Spelling fixes
 	@$(call spelling,allows to,allows one to)
-	@$(call spelling,auxilary,auxiliary)
 	@$(call spelling,complier,compiler)
-	@$(call spelling,debuging,debugging)
 	@$(call spelling,explict,explicit)
 	@$(call spelling,extention,extension)
 	@$(call spelling,maching,matching)
@@ -67,20 +86,21 @@
 	@$(call spelling,specifed,specified)
 	@$(call spelling,supressed,suppressed)
 	@$(call spelling,targetted,targeted)
-	touch $@
 
 override_dh_clean:
 	dh_clean
-	rm -rf .pc *-stamp $(build_dir) $(upstream_dir) $(patsubst %,debian/%-dllwrap.1,$(targets))
+	rm -rf .pc $(build_dir) $(upstream_dir) $(patsubst %,debian/%-dllwrap.1,$(targets))
 
 # Unpack before autotools
-override_dh_update_autotools_config: unpack-stamp
+override_dh_update_autotools_config: unpack
 	dh_update_autotools_config
 
 override_dh_auto_configure:
 	set -e; \
 	for target in $(targets); do \
-		mkdir -p $(build_dir)/$$target && cd $(build_dir)/$$target && $(upstream_dir)/configure --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) --prefix=/usr --disable-silent-rules --libdir=\${prefix}/lib/$(DEB_HOST_MULTIARCH) --libexecdir=\${prefix}/lib/$(DEB_HOST_MULTIARCH) --disable-maintainer-mode --disable-dependency-tracking --disable-multilib --enable-lto --enable-plugins --enable-deterministic-archives --with-system-zlib --target=$$target --disable-werror; \
+		mkdir -p $(build_dir)/$$target; \
+		cd $(build_dir)/$$target; \
+		$(upstream_dir)/configure $(call confflags,$$target); \
 	done
 
 override_dh_auto_build-arch:
@@ -89,18 +109,21 @@
 		dh_auto_build --parallel -B$(build_dir)/$$target; \
 	done
 
+# The test suite can't run in parallel (it fails because of libbfd.tmp)
 override_dh_auto_test-arch:
 	set -e; \
 	unset CFLAGS CPPFLAGS LDFLAGS; \
-	env > $(build_dir)/env; \
 	for target in $(targets); do \
-		dh_auto_test -B$(build_dir)/$$target; \
+		dh_auto_test --no-parallel -B$(build_dir)/$$target; \
 	done
 
 override_dh_auto_install-arch:
 	for target in $(targets); do \
 		dh_auto_install -B$(build_dir)/$$target; \
 	done
+
+# Drop unused files
+	rm -rf debian/tmp/usr/x86_64-w64-mingw32/lib/ldscripts/i386pe.*
 
 # Drop files which will conflict with other packages
 	rm -rf debian/tmp/usr/lib/*.a
@@ -128,6 +151,3 @@
 
 override_dh_gencontrol:
 	dh_gencontrol -- -v$(deb_version) -Vlocal:Version=$(deb_upstream_version) -Vbinutils:Version=$(source_version)
-
-override_dh_missing:
-	dh_missing --list-missing
