## binutils-mingw-w64 10.3

=== debian/changelog ===
binutils-mingw-w64 (10.3) unstable; urgency=medium

  * Drop another failing codeview test.

 -- Stephen Kitt <skitt@debian.org>  Wed, 11 Jan 2023 13:02:20 +0100

binutils-mingw-w64 (10.2) unstable; urgency=medium

  * Fix the path to the codeview tests.

 -- Stephen Kitt <skitt@debian.org>  Tue, 10 Jan 2023 17:46:40 +0100

binutils-mingw-w64 (10.1) unstable; urgency=medium

  * Disable the codeview tests on big-endian architectures.

 -- Stephen Kitt <skitt@debian.org>  Tue, 10 Jan 2023 08:35:08 +0100

binutils-mingw-w64 (10) unstable; urgency=medium

  * Adjust for binutils 2.40. Closes: #1027666.
  * Standards-Version 4.6.2, no change required.
  * Update Lintian overrides.

 -- Stephen Kitt <skitt@debian.org>  Sun, 01 Jan 2023 20:35:22 +0100
