## binutils-mingw-w64 10.4

=== debian/changelog ===
binutils-mingw-w64 (10.4) unstable; urgency=medium

  * Apply upstream patch to fix an internal error. Closes: #1029841.

 -- Stephen Kitt <skitt@debian.org>  Wed, 03 May 2023 08:49:22 +0200
