## binutils-mingw-w64 11+nmu1

=== debian/changelog ===
binutils-mingw-w64 (11+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop specify-timestamp.patch, applied upstream in binutils 2.41
    (Closes: #1042734)

 -- Nicolas Dandrimont <olasd@debian.org>  Tue, 08 Aug 2023 18:18:48 +0200

binutils-mingw-w64 (11) unstable; urgency=medium

  * In preparation for binutils 2.41, drop pr30079.patch, merged
    upstream. Closes: #1042284.

 -- Stephen Kitt <skitt@debian.org>  Thu, 27 Jul 2023 07:18:48 +0200
