## binutils-mingw-w64 11.4

=== debian/changelog ===
binutils-mingw-w64 (11.4) unstable; urgency=medium

  * Add a UCRT target on x86-64, x86_64-w64-mingw32ucrt.

 -- Stephen Kitt <skitt@debian.org>  Thu, 25 Jan 2024 13:13:01 +0100

binutils-mingw-w64 (11.3) unstable; urgency=medium

  * Unset SOURCE_DATE_EPOCH before running tests, instead of in the
    tests themselves.

 -- Stephen Kitt <skitt@debian.org>  Tue, 16 Jan 2024 14:59:48 +0100

binutils-mingw-w64 (11.2) unstable; urgency=medium

  * Also unset SOURCE_DATE_EPOCH in non-deterministic tests. Really
    closes: #1057728.
  * Skip installing stamp file left over by the build.

 -- Stephen Kitt <skitt@debian.org>  Tue, 19 Dec 2023 20:42:39 +0100

binutils-mingw-w64 (11.1) unstable; urgency=medium

  * Force non-deterministic mode in non-deterministic tests.
    Closes: #1057728.

 -- Stephen Kitt <skitt@debian.org>  Mon, 18 Dec 2023 21:16:34 +0100
