=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                rdfind,
                symlinks,
                zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/mingw-w64-team/binutils-mingw-w64
 Vcs-Git: https://salsa.debian.org/mingw-w64-team/binutils-mingw-w64.git
 Homepage: https://www.gnu.org/software/binutils/
