=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 deb_upstream_version := $(shell echo $(deb_version) | cut -d- -f1)
 gnu_upstream_version := $(shell echo $(deb_upstream_version) | cut -d. -f1-3)
 
-targets := i686-w64-mingw32 x86_64-w64-mingw32
+targets := i686-w64-mingw32 x86_64-w64-mingw32 x86_64-w64-mingw32ucrt
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
@@ -113,9 +113,10 @@
 	done
 
 # The test suite can't run in parallel (it fails because of libbfd.tmp)
+# It also expects SOURCE_DATE_EPOCH to *not* be set
 override_dh_auto_test-arch:
 	set -e; \
-	unset CFLAGS CPPFLAGS LDFLAGS; \
+	unset CFLAGS CPPFLAGS LDFLAGS SOURCE_DATE_EPOCH; \
 	for target in $(targets); do \
 		dh_auto_test --no-parallel -B$(build_dir)/$$target; \
 	done
@@ -126,7 +127,7 @@
 	done
 
 # Drop unused files
-	rm -rf debian/tmp/usr/x86_64-w64-mingw32/lib/ldscripts/i386pe.*
+	rm -rf debian/tmp/usr/x86_64-w64-mingw32*/lib/ldscripts/i386pe.*
 
 # Drop files which will conflict with other packages
 	rm -rf debian/tmp/usr/lib/*.a
