## binutils-mingw-w64 11.5

=== debian/changelog ===
binutils-mingw-w64 (11.5) unstable; urgency=medium

  * Release to unstable.

 -- Stephen Kitt <skitt@debian.org>  Mon, 25 Mar 2024 18:20:47 +0100

binutils-mingw-w64 (11.5~exp1) experimental; urgency=medium

  * Build-depend on binutils 24.2-3 or later which includes the upstream
    fix for windres etc. on big-endian architectures. Closes: #754829.

 -- Stephen Kitt <skitt@debian.org>  Mon, 18 Mar 2024 13:36:01 +0100
