=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: devel
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               binutils-source (>= 2.36~),
+               binutils-source (>= 2.42-3~),
                bison,
                flex,
                dejagnu,
