## binutils-mingw-w64 11.6

=== debian/changelog ===
binutils-mingw-w64 (11.6) unstable; urgency=medium

  * Adjust for the forthcoming release; closes: #1074718:
    - fix disable-flags.patch;
    - drop non-deterministic-tests.patch, merged upstream.
  * Install UCRT man pages.
  * Add a Lintian override for usr/x86_64-w64-mingw32ucrt/.
  * Standards-Version 4.7.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 03 Jul 2024 08:35:46 +0200
