## binutils-mingw-w64 11.7

=== debian/changelog ===
binutils-mingw-w64 (11.7) unstable; urgency=medium

  * Apply the upstream fix for .irpc handling with empty strings.
    Closes: #1076933. Thanks to Bernhard Übelacker for investigating the
    issue, and to Jan Beulich for fixing it!

 -- Stephen Kitt <skitt@debian.org>  Wed, 14 Aug 2024 20:42:26 +0200
