=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: devel
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               binutils-source (>= 2.42-3~),
+               binutils-source (>= 2.42.50.20240625~),
                bison,
                flex,
                dejagnu,
@@ -11,7 +11,7 @@
                rdfind,
                symlinks,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/mingw-w64-team/binutils-mingw-w64
 Vcs-Git: https://salsa.debian.org/mingw-w64-team/binutils-mingw-w64.git
 Homepage: https://www.gnu.org/software/binutils/
