## binutils-mingw-w64 12

=== debian/changelog ===
binutils-mingw-w64 (12) unstable; urgency=medium

  * Split out the UCRT binaries into a separate package.

 -- Stephen Kitt <skitt@debian.org>  Sat, 26 Oct 2024 20:03:55 +0200

binutils-mingw-w64 (11.8) unstable; urgency=medium

  * Bump to 2.43.1 which includes correct-irpc-empty-string.patch.
    Closes: #1079680.

 -- Stephen Kitt <skitt@debian.org>  Mon, 26 Aug 2024 13:10:46 +0200
