=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: devel
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               binutils-source (>= 2.42.50.20240625~),
+               binutils-source (>= 2.43.1~),
                bison,
                flex,
                dejagnu,
@@ -21,7 +21,8 @@
 Architecture: all
 Depends: ${misc:Depends},
          binutils-mingw-w64-i686,
-         binutils-mingw-w64-x86-64
+         binutils-mingw-w64-x86-64,
+         binutils-mingw-w64-ucrt64
 Built-Using: binutils (= ${binutils:Version})
 Description: Cross-binutils for Win32 and Win64 using MinGW-w64
  MinGW-w64 provides a development and runtime environment for 32- and
@@ -55,3 +56,19 @@
  the GNU Compiler Collection (gcc).
  .
  This package contains the toolchain binutils targeting 64-bit Windows.
+
+Package: binutils-mingw-w64-ucrt64
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         binutils-common (>= ${local:Version})
+Breaks: binutils-mingw-w64-x86-64 (<< ${binary:Version})
+Replaces: binutils-mingw-w64-x86-64 (<< ${binary:Version})
+Built-Using: binutils (= ${binutils:Version})
+Description: Cross-binutils for UCRT Win64 (x64) using MinGW-w64
+ MinGW-w64 provides a development and runtime environment for 32- and
+ 64-bit (x86 and x64) Windows applications using the Windows API and
+ the GNU Compiler Collection (gcc).
+ .
+ This package contains the toolchain binutils targeting 64-bit Windows
+ with the Universal C runtime.
