## binutils-mingw-w64 12.1

=== debian/changelog ===
binutils-mingw-w64 (12.1) unstable; urgency=medium

  * Drop “Rules-Requires-Root: no” since it’s now the default.
  * Add more spelling fixes.
  * dejagnu is only used for tests, exclude it from the nocheck build
    profile.
  * Standards-Version 4.7.2, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 16 Oct 2025 13:14:28 +0200
