=== debian/control ===
--- 
+++ 
@@ -6,16 +6,15 @@
                binutils-source (>= 2.43.1~),
                bison,
                flex,
-               dejagnu,
+               dejagnu <!nocheck>,
                quilt,
                rdfind,
                symlinks,
                zlib1g-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/mingw-w64-team/binutils-mingw-w64
 Vcs-Git: https://salsa.debian.org/mingw-w64-team/binutils-mingw-w64.git
 Homepage: https://www.gnu.org/software/binutils/
-Rules-Requires-Root: no
 
 Package: binutils-mingw-w64
 Architecture: all
