=== debian/rules ===
--- 
+++ 
@@ -78,9 +78,11 @@
 	fi
 # Spelling fixes
 	@$(call spelling,allows to,allows one to)
+	@$(call spelling,ambigious,ambiguous)
 	@$(call spelling,complier,compiler)
 	@$(call spelling,explict,explicit)
 	@$(call spelling,extention,extension)
+	@$(call spelling,indentify,identify)
 	@$(call spelling,maching,matching)
 	@$(call spelling,preceeded,preceded)
 	@$(call spelling,refered,referred)
