## binutils-mingw-w64 13~exp1

=== debian/changelog ===
binutils-mingw-w64 (13~exp1) experimental; urgency=medium

  [ Konstantin Demin ]
  * Handle version numbers with epochs.
  * Extract spelling fix processing to a separate script.
  * Filter duplicates in all architecture-dependant packages, not just
    those with .install files.
  * Rename binutils-mingw-w64-ucrt64 to binutils-mingw-w64-x86-64-ucrt and
    ship binutils-mingw-w64-i686-ucrt targeting 32-bit x86 with UCRT.
  * Ship common files in binutils-mingw-w64-base.
  * Force serial configuration.
  * Enable JSON payload validation.

 -- Stephen Kitt <skitt@debian.org>  Sun, 23 Nov 2025 18:46:27 +0100
